Bug 619261 - Cannot set default language to Bosnian (Bosnia and Herzegowina)
Summary: Cannot set default language to Bosnian (Bosnia and Herzegowina)
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: system-config-language   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Pravin Satpute
QA Contact: QE Internationalization Bugs
URL:
Whiteboard:
Keywords: Regression
Depends On: 620636
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-29 05:31 UTC by Kenichi Takemura
Modified: 2014-08-04 22:02 UTC (History)
5 users (show)

Fixed In Version: system-config-language-1.3.4-4.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-09 00:17:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kenichi Takemura 2010-07-29 05:31:33 UTC
Description of problem:

Cannot set default language to Bosnian (Bosnia and Herzegowina)
This is due to the error:

Loaded plugins: refresh-packagekit, rhnplugin
This system is not registered with RHN.
RHN support will be disabled.
Traceback (most recent call last):
  File "/usr/share/system-config-language/language_gui.py", line 175, in okClicked
    self.apply()
  File "/usr/share/system-config-language/language_gui.py", line 265, in apply
    if not install.is_group_installed(grpid, self.mainWindow):
  File "/usr/share/system-config-language/gui_install.py", line 79, in is_group_installed
    raise yum.Errors.GroupsError, "No Group named %s exists" % grpid
yum.Errors.GroupsError: No Group named bosnian-support exists


Version-Release number of selected component (if applicable):
$ rpm -q system-config-language
system-config-language-1.3.4-2.el6.noarch


How reproducible:
100%

Steps to Reproduce:
1. run system-config-language
2. set Bosnian (Bosnia and Herzegowina) and click ok
3.
  
Actual results:

system-config-language hangs up.

Expected results:

Bosnian people are happy.

Additional info:

Comment 2 RHEL Product and Program Management 2010-07-29 05:47:41 UTC
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **

Comment 3 Pravin Satpute 2010-07-29 05:55:23 UTC
bosnian group is not defined in commps

 <group>
    <id>bosnian-support</id>
    <_name>Bosnian Support</_name>
    <_description/>
    <default>false</default>
    <uservisible>true</uservisible>
    <langonly>bs</langonly>
    <packagelist>
      <packagereq type="conditional" requires="moodle">moodle-bs</packagereq>
    </packagelist>
  </group>

reassigning to comps

Comment 4 Bill Nottingham 2010-07-29 16:56:13 UTC
... there's nothing to include for Bosnian support in RHEL, ergo, a comps group isn't appropriate. Leaving applied to s-c-language,

Comment 9 Pravin Satpute 2010-08-04 15:30:04 UTC
done build
fixed in system-config-language-1.3.4-4.el6

Comment 11 Kenichi Takemura 2010-08-05 23:37:38 UTC
I had a test.

'No group named bosnian-support' exists: Continue"' is the expected result?

Comment 12 Pravin Satpute 2010-08-06 04:05:38 UTC
yes, this is condition i have added
so even if no group present in comps, one can set system language in that locale

Comment 13 Kenichi Takemura 2010-08-09 00:16:11 UTC
Verified.

Tree:rel-eng/RHEL6.0-20100807.0

system-config-language-1.3.4-4.el6.noarch

It says

'No group named bosnian-support' exists: Continue"'

and this should be OK.


Note You need to log in before you can comment on or make changes to this bug.